Skip to main content
POST
Trigger Smart actions

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

The ID of the video library.

videoId
string
required

The GUID of the video.

Body

application/json
generateTitle
boolean | null

Whether video title should be generated.

generateDescription
boolean | null

Whether video description should be generated.

generateChapters
boolean | null

Whether video chapters should be generated.

generateMoments
boolean | null

Whether video moments should be generated.

sourceLanguage
string | null

(Optional) Video source language, use ISO 639-1 language code.

Response

The smart action was queued

success
boolean

Determines if the request was successful

message
string | null

Human-readable message describing the result, typically populated with error details when Success is false.

statusCode
integer<int32>

The HTTP status code corresponding to the result of the request.

Last modified on September 10, 2026